View Issue Details

IDProjectCategoryView StatusLast Update
0000168Cinelerra-GG[All Projects] Featurepublic2019-04-01 21:00
ReporterPierreAssigned Togoodguy 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Platformi7-3770k, 32GB(ram), GTX-750TiOSLinux Mint MateOS Version18.3
Product Version 
Target VersionFixed in Version2019-03 
Summary0000168: Is it possible to rename the four layouts?
DescriptionIs it possible to give a custom name to the four layouts, so that if I don't use some of them for months I can remember which layout they correspond to.
TagsNo tags attached.

Activities

IgorBeg

IgorBeg

2019-03-16 18:15

reporter   ~0001218

GG/Phyllis, really thanks.
Sam

Sam

2019-03-15 22:37

administrator   ~0001213

Okay, thanks.
PhyllisSmith

PhyllisSmith

2019-03-15 22:35

manager   ~0001212

Sam: Sometimes I have a real problem with reigning in GG's commentary. Sphere-o-boom was an erroneous print statement that was printing out on Cin's startup window whenever there was some kind of error. So what it should have read was "Removed this warning message that was not informative - mov_sphere=0 jpeg_sphere=0."
Sam

Sam

2019-03-15 22:22

administrator   ~0001211

Thank you very much for this fine improvement.

@PhyllisSmith
Can you tell me what sphere-o-boom means? I read it in the Git description and have no idea what it is.
PhyllisSmith

PhyllisSmith

2019-03-15 22:18

manager   ~0001210

Your choice - just keep using the default names / shortcuts as IgorB likes OR name/rename them. Usage is obvious from the Window pulldown but for document on Layouts and the new Preview usage, see:
     https://www.cinelerra-gg.org/download/testing/layout_and_preview.pdf
New Mint18 and Ubuntu 16 builds are at (and thanks in advance for testing)
    https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz
    https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
Other aesthetic fixes in as noted from IgorB email.
IgorBeg

IgorBeg

2019-03-14 10:38

reporter   ~0001204

I understand you all, but don't you use shortcuts also for the Layouts?
In the same time I go in menu to select one my Layout, I can use all 4 shortcut (Ctrl+Shift+F1,F2,F3,F4) to see the different layout quickly.
This only when too many time is pasted from last time I am used Cinelerra-GG or I am using another software and I may confuse myself. Then neither 16 characters may help me to remember the position of 4 (or more) windows
Sorry, maybe I am wrong.
Sam

Sam

2019-03-13 23:00

administrator   ~0001202

I would also very much appreciate it if I could name this layout myself.
PhyllisSmith

PhyllisSmith

2019-03-13 22:57

manager   ~0001201

I have made a suggestion to GG about an 8 character maximum layout name and will let you know if it gets implemented. If you look in $HOME/.bcast5, you will see 4 files now called layout1_rc ... layout4_rc -- he may try to add a title to the first line of each file.
Pierre

Pierre

2019-03-13 15:15

updater   ~0001191

I don't understand why you think this is a bad solution?

I think it would be possible to double the space currently used without any inconvenience.

But well, I understand that it is also possible if we have forgotten their attributions, to simply try in turn all the layouts (4) until we find one that corresponds to what we are looking for, it is not much more complicated either...
IgorBeg

IgorBeg

2019-03-13 13:54

reporter   ~0001190

Pierre, I understand you, but IMHO rename Layouts is not good solution.
( Question: How many characters would you need for a Layout name? )

Issue History

Date Modified Username Field Change
2019-03-13 13:00 Pierre New Issue
2019-03-13 13:54 IgorBeg Note Added: 0001190
2019-03-13 15:15 Pierre Note Added: 0001191
2019-03-13 22:57 PhyllisSmith Note Added: 0001201
2019-03-13 23:00 Sam Note Added: 0001202
2019-03-14 10:38 IgorBeg Note Added: 0001204
2019-03-15 22:13 PhyllisSmith Assigned To => goodguy
2019-03-15 22:13 PhyllisSmith Status new => assigned
2019-03-15 22:18 PhyllisSmith Note Added: 0001210
2019-03-15 22:22 Sam Note Added: 0001211
2019-03-15 22:35 PhyllisSmith Note Added: 0001212
2019-03-15 22:37 Sam Note Added: 0001213
2019-03-16 18:15 IgorBeg Note Added: 0001218
2019-03-16 21:25 PhyllisSmith Status assigned => resolved
2019-03-16 21:25 PhyllisSmith Resolution open => fixed
2019-03-16 21:25 PhyllisSmith Fixed in Version => 2019-03
2019-04-01 21:00 PhyllisSmith Status resolved => closed